• Resolved

AFE4490SPO2EVM: AFE4490SPO2EVM can not install unsigned driver

Prodigy 90 points

Replies: 5

Views: 41

Part Number: AFE4490SPO2EVM

Hi support team :

I buy a AFE4490SPO2EVM .

But I can not install the driver.

The picture as attached is the screenshot of the PC.

There will be no AFE44X0SP2-FE EVM.

There is only USB device (COM3).

I try hold on shift button of keyboard + restart to disable driver signature enforcement.

But it fail to update driver.

I see the E2E forum and found there will be signed driver?

Could you help to send me the signed driver?

Thanks

best regards

  • Hi Future,

    I have shared the files to your email address and will close this post.

    Regards

    Praveen

    TI makes no warranties and assumes no liability for applications assistance or customer product design. You are fully responsible for all design decisions and engineering with regard to your products, including decisions relating to application of TI products. By providing technical information, TI does not intend to offer or provide engineering services or advice concerning your designs.

  • In reply to Praveen Aroul:

    Hello support team :

    I have install the NI software.

    And the first picture is the NI run time package I have installed.

    But I still can not run the GUI.

    The second picture shows the error.

    Do I need to install more software ?

    best regards

  • In reply to future chang1:

    Hello Future,

    AFE4490 EVM GUI v2.2 requires LabVIEW run time engine version 2014 and it seems like you had installed version 2020.

    RTE Version 2020 is not backward compatible with version 2014.

    Can you please follow the below procedure?

    • Uninstall the v2.0 GUI
    • Uninstall the higher RTE
    • Download NI LabVIEW RTE v14 from here and install at default
    • Download NI VISA RTE v16 from here and install at default
    • Install v2.2 GUI.

    Regards

    Praveen

    TI makes no warranties and assumes no liability for applications assistance or customer product design. You are fully responsible for all design decisions and engineering with regard to your products, including decisions relating to application of TI products. By providing technical information, TI does not intend to offer or provide engineering services or advice concerning your designs.

  • In reply to Praveen Aroul:

    The first picture is the AFE44x0SPO2EVM GUI V2.2 error.

    And the second picture is the NI software I have installed.

    But follow the steps.

    • Uninstall the v2.0 GUI
    • Uninstall the higher RTE
    • Download NI LabVIEW RTE v14 from here and install at default
    • Download NI VISA RTE v16 from here and install at default
    • Install v2.2 GUI.

    But this does not work.

    I do not know what went wrong?

    best regards

  • In reply to future chang1:

    Hi Future,

    It seems like you had installed 64 bit version of LabVIEW RTE, but you will to install 32bit.

    I apologize since I was not clear in my previous instructions.

    We have tested v2.2 GUI with LV RTE 2014 (32bit), VISA RTE 2016 (32bit) and do not see any issues.

    Regards

    Praveen

    TI makes no warranties and assumes no liability for applications assistance or customer product design. You are fully responsible for all design decisions and engineering with regard to your products, including decisions relating to application of TI products. By providing technical information, TI does not intend to offer or provide engineering services or advice concerning your designs.